Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #112

selected song advances before song has completed playing
May 13, 2012 05:40 - il lumilore

Status: Rejected Start date: May 13, 2012
Priority: Minor Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Affects version: 3.2.2

Description

When playing an ogg vorbis file, once the music gets close to the last few seconds, the blue highlight indicating what is selected and
the boldening of the letters indicating what is currently playing (in gtk mode) will prematurely advance before the song is complete.
This is most obvious with short music files, around 3s or less, where the highlighted playlist entry will immediately advance to the
next entry. | first noticed this happening around 3.2

History

#1 - May 13, 2012 16:24 - John Lindgren

- Status changed from New to Rejected

This is a consequence of gapless playback. Audacious must start decoding song no. 2 before you hear song no. 1 finish. The song highlighted in the
playlist is the one being decoded; hence, you see the song change a little before you hear it. Using a smaller buffer size (in audio preferences) will
reduce the delay but also increase the chance that you hear a gap between songs.

Also, this is nothing new in 3.2. This has been the behavior since, maybe, 2.4?

#2 - June 06, 2012 07:36 - il lumilore
John Lindgren wrote:

This is a consequence of gapless playback. Audacious must start decoding song no. 2 before you hear song no. 1 finish. The song highlighted
in the playlist is the one being decoded; hence, you see the song change a little before you hear it.

| have no idea what | am talking about, but wouldn't it still be possible to fix this with gapless playback enabled? The timer that shows the time of the
song currently playing in the main window doesn't show up as four seconds (my buffer size) too fast. So that must be reading where the song is rather
than the time that is being read from the disk. It should be possible to base the playlist highlighted song off of this? Or maybe just delay the
highlighted song from advancing by 4 seconds, then it would sync up, and at worst be behind only when the disk read doesn't keep up.
